# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _

ACOMEA_MYACOMEA_PLUGIN_SETTINGS = {
    'my_acomea': {
        'name': 'Riepilogo generale',
        'template': '/my_acomea/cms_plugins/my_acomea.html',
    },
    'fondi_dettaglio': {
        'name': 'Fondi - Dettagli',
        'template': '/my_acomea/cms_plugins/fondi_dettaglio.html',
    },
    'fondi_analisi_temporale': {
        'name': 'Fondi - Analisi temporale',
        'template': '/my_acomea/cms_plugins/fondi_analisi_temporale.html',
    },
    'fondi_operazioni_in_corso': {
        'name': 'Fondi - Operazioni in corso',
        'template': '/my_acomea/cms_plugins/fondi_operazioni_in_corso.html',
    },
    'fondi_operazioni_effettuate': {
        'name': 'Fondi - Operazioni effettuate',
        'template': '/my_acomea/cms_plugins/fondi_operazioni_effettuate.html',
    },
    'fondi_servizi_attivi': {
        'name': 'Fondi - Servizi attivi',
        'template': '/my_acomea/cms_plugins/fondi_servizi_attivi.html',
    },
    'gestioni_operazioni_effettuate': {
        'name': 'Gestioni - Operazioni effettuate',
        'template': '/my_acomea/cms_plugins/gestioni_operazioni_effettuate.html',
    },
    'gestioni_dettaglio': {
        'name': 'Gestioni - Dettagli',
        'template': '/my_acomea/cms_plugins/gestioni_dettaglio.html',
    },
    'gestioni_riclassificazione_portafogli': {
        'name': 'Gestioni - Riclassificazione portafogli',
        'template': '/my_acomea/cms_plugins/gestioni_riclassificazione_portafogli.html',
    },
    'gestioni_dettaglio_titoli': {
        'name': 'Gestioni - Dettaglio titoli',
        'template': '/my_acomea/cms_plugins/gestioni_dettaglio_titoli.html',
    },
    'gestioni_storico_estratto_conto': {
        'name': 'Gestioni - Storico estratto conto',
        'template': '/my_acomea/cms_plugins/gestioni_storico_estratto_conto.html',
    },
}

ACOMEA_MYACOMEA_PLUGIN_DISPLAY_CHOICES = [
    (key, settings['name']) for key, settings in ACOMEA_MYACOMEA_PLUGIN_SETTINGS.iteritems()
]


ACOMEA_MY_ACOMEA_ACCORDION_PLUGIN_TEMPLATE_CHOICES = (
    ("my_acomea/cms_plugins/accordion.html", _("accordion"),),
)

ACOMEA_MY_ACOMEA_URL_REDIRECT_ANGJS_MY_ACOMEA = u'https://myacomea.acomea.it'
