jQuery(function($) {
  'use strict';
  var url = $("div#dropzone").data('multiuploader-url');
  var redirect_url = $("div#dropzone").data('redirect-url');
  var crsf_token = $('[name="csrfmiddlewaretoken"]').val();
  var myDropzone = new Dropzone("div#dropzone", {
    url: url,
    paramName: 'files',
    uploadMultiple: true,
    addRemoveLinks: false,
    parallelUploads: 50,
    maxFilesize: 5,
    acceptedFiles: 'application/pdf',
    autoProcessQueue: true,
    sending: function(file, xhr, formData) {
      formData.append("csrfmiddlewaretoken", crsf_token);
    },
  });
});
